%define		plugin		tag
Summary:	DokuWiki Tag Plugin
Name:		dokuwiki-plugin-%{plugin}
Version:	20120328
Release:	1
License:	GPL v2
Group:		Applications/WWW
Source0:	http://github.com/dokufreaks/plugin-tag/tarball/master/%{name}-%{version}.tgz
# Source0-md5:	ddfb8d16b315e61ca68e5b6daa7d305d
URL:		http://www.dokuwiki.org/plugin:tag
Requires:	dokuwiki >= 20070626
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dokuconf	/etc/webapps/dokuwiki
%define		dokudir		/usr/share/dokuwiki
%define		plugindir	%{dokudir}/lib/plugins/%{plugin}
%define		find_lang 	%{_usrlibrpm}/dokuwiki-find-lang.sh %{buildroot}

%description
The Tag Plugin lets you assign category tags to wiki pages. It will
display a list of links to the tag pages in the tag namespace
specified in the configuration.

%prep
%setup -qc
mv *-%{plugin}-*/* .

version=$(awk '/^date/{print $2}' plugin.info.txt)
if [ "$(echo "$version" | tr -d -)" != %{version} ]; then
	: %%{version} mismatch
#	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{plugindir}
cp -a . $RPM_BUILD_ROOT%{plugindir}
rm -f $RPM_BUILD_ROOT%{plugindir}/{COPYING,README}

%find_lang %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
# force css cache refresh
if [ -f %{dokuconf}/local.php ]; then
	touch %{dokuconf}/local.php
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README
%dir %{plugindir}
%{plugindir}/*.css
%{plugindir}/*.js
%{plugindir}/*.php
%{plugindir}/*.txt
%{plugindir}/conf
%{plugindir}/images
%{plugindir}/syntax
%changelog
* Thu Aug 16 2012 Elan Ruusamäe <glen@delfi.ee> 4486118
up to 20120328

* Fri Jan 30 2009 Elan Ruusamäe <glen@pld-linux.org> d1681d1
- add ca-va -> ca_VA

* Fri Jan 30 2009 Elan Ruusamäe <glen@pld-linux.org> 5911c15
- do not use subshell, so the exit code could be propagated

* Wed Jan 28 2009 Elan Ruusamäe <glen@pld-linux.org> bc9c371
- refresh dw cache on install

* Wed Jan 28 2009 Elan Ruusamäe <glen@pld-linux.org> c540c97
- barf if lang files not found

* Tue Jan 27 2009 Elan Ruusamäe <glen@pld-linux.org> 2162a9d
- up to 2009-01-26 rc

* Wed Aug 27 2008 Elan Ruusamäe <glen@pld-linux.org> db893b2
- version check

* Wed Aug 27 2008 Elan Ruusamäe <glen@pld-linux.org> 9db878f
-  new

* Tue Jan 08 2008 Elan Ruusamäe <glen@pld-linux.org> 193608c
- add sl-si -> sl

* Tue Jan 08 2008 Elan Ruusamäe <glen@pld-linux.org> e41c6a4
- find dokuwiki languages

